AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

File List
Here is a list of all documented files with brief descriptions:
[detail level 1 2 3]

▼ include |
▼ amps |
amps.h | Core type and function declarations for the AMPS C client
amps_impl.h |
amps_ssl.h |
amps_zlib.h |
AMPSException.hpp |
ampsplusplus.hpp | Core type, function, and class declarations for the AMPS C++ client
ampsuri.h |
BlockPublishStore.hpp | Provides AMPS::BlockPublishStore, a concrete implementation of a store that breaks the allocated storage into blocks
BlockStore.hpp | Provides AMPS::BlockStore, a class for storing Blocks of a fixed size into a Buffer implementation
BookmarkStore.hpp |
Buffer.hpp | Provides AMPS::Buffer, an abstract base class used by the store implementations in the AMPS client
CompositeMessageBuilder.hpp |
CompositeMessageParser.hpp |
DefaultServerChooser.hpp | Provides AMPS::DefaultServerChooser, a simple server chooser that implements basic round-robin failover
Field.hpp | Defines the AMPS::Field class, which represents the value of a field in a message
HAClient.hpp | Defines AMPS::HAClient, a client that can provide failover, durable publication, and resumable subscriptions
HAClientImpl.hpp |
HybridPublishStore.hpp | Provides AMPS::HybridPublishStore, a publish store that uses memory up to a specified maximum capacity then writes to a file if the store will exceed that capacity
LoggedBookmarkStore.hpp | Provides AMPS::LoggedBookmarkStore, a bookmark store that uses a file to track received messages
MemoryBookmarkStore.hpp | Provides AMPS::MemoryBookmarkStore, a bookmark store that holds bookmarks in memory
MemoryPublishStore.hpp | Provides AMPS::MemoryPublishStore, a publish store that holds messages in memory
MemoryStoreBuffer.hpp | Provides AMPS::MemoryStoreBuffer, used by an AMPS::HAClient to store messages in memory
MemorySubscriptionManager.hpp | Provides AMPS::MemorySubscriptionManager, used by an AMPS::HAClient to resubmit subscriptions if connectivity is lost while the application is running
Message.hpp | Defines the AMPS::Message class and related classes
MessageRouter.hpp |
MMapBookmarkStore.hpp | Provides AMPS::MMapBookmarkStore, a bookmark store that uses a memory mapped file to provide efficient message tracking that persists across application restarts
MMapStoreBuffer.hpp | Provides AMPS::MMapStoreBuffer, an AMPS::Buffer implementation used by the AMPS::MMapBookmarkStore
PublishStore.hpp | Provides AMPS::PublishStore, a publish store that uses memory-mapped files to provide a publish store that persists across application restarts
ReconnectDelayStrategy.hpp | Provides AMPS::ReconnectDelayStrategy, called by an AMPS::HAClient to determine how long to wait between attempts to connect or reconnect to a server
ReconnectDelayStrategyImpl.hpp |
RecoveryPoint.hpp | Provides AMPS::RecoveryPoint, AMPS::RecoveryPointFactory, AMPS::FixedRecoveryPoint, and AMPS::DynamicRecoveryPoint
RecoveryPointAdapter.hpp | Provides AMPS::RecoveryPointAdapter, an iterface for implementing external storage of bookmark subscription recovery data and for recovering from that external storage
RingBookmarkStore.hpp | Provides AMPS::RingBookmarkStore, a bookmark store that stores only the MOST_RECENT bookmark to a file and keeps any bookmarks later than the most recent in memory
ServerChooser.hpp | Provides AMPS::ServerChooser, the abstract base class that defines the interface that an AMPS::HAClient uses for determining which server to connect to
ServerChooserImpl.hpp |
SOWRecoveryPointAdapter.hpp |